> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete Connected App

> Delete a Connected App.



## OpenAPI

````yaml DELETE /v1/connected_apps/clients/{client_id}
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/connected_apps/clients/{client_id}:
    delete:
      tags:
        - Connected Apps
      summary: Delete
      description: Deletes a Connected App.
      operationId: api_connectedapps_v1_connected_apps_clients_Delete
      parameters:
        - name: client_id
          in: path
          required: true
          schema:
            type: string
            description: The ID of the client.
          description: The ID of the client.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api_connectedapps_v1_connected_apps_clients_DeleteResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // DELETE /v1/connected_apps/clients/{client_id}
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
            };

            client.ConnectedApp.Clients.Delete(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// DELETE /v1/connected_apps/clients/{client_id}\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/b2b/b2bstytchapi\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/connectedapps/clients\"\n)\n\nfunc main() {\n\tclient, err := b2bstytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &clients.DeleteParams{\n\t\tClientID: \"m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885\",\n\t}\n\n\tresp, err := client.ConnectedApp.Clients.Delete(context.Background(), params)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: >-
            // DELETE /v1/connected_apps/clients/{client_id}

            package com.example;


            import com.stytch.java.b2b.StytchB2BClient;

            import com.stytch.java.common.StytchResult;

            import
            com.stytch.java.consumer.models.connectedappsclients.DeleteRequest;


            public class Main {
                public static void main(String[] args) {
                    StytchB2BClient.configure("${projectId}", "${secret}");

                    DeleteRequest params = new DeleteRequest();
                    params.setClientId("m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885");

                    Object result = StytchB2BClient.getConnectedApp().getClients().delete(params);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: >
            // DELETE /v1/connected_apps/clients/{client_id}

            package com.example


            import com.stytch.java.b2b.StytchB2BClient

            import
            com.stytch.java.consumer.models.connectedappsclients.DeleteRequest


            fun main() {
                StytchB2BClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchB2BClient.connectedApp.clients.delete(
                            DeleteRequest(
                                clientId = "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
                            ),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // DELETE /v1/connected_apps/clients/{client_id}
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
              client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
            };

            client.connectedApp.clients.delete(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->connected_app->clients->delete([
                'client_id' => 'm2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885',
            ]);
        - lang: python
          label: Python
          source: |
            # DELETE /v1/connected_apps/clients/{client_id}
            from stytch import B2BClient

            client = B2BClient(
                project_id="${projectId}",
                secret="${secret}",
            )

            resp = client.connected_app.clients.delete(
                client_id="m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
            )

            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # frozen_string_literal: true

            # DELETE /v1/connected_apps/clients/{client_id}
            require 'stytch'

            client = StytchB2B::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.connected_app.clients.delete(
              client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885"
              
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // DELETE /v1/connected_apps/clients/{client_id}
            use stytch::b2b::client::Client;
            use stytch::consumer::connected_apps_clients::DeleteRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.connected_app.clients.delete(
                    DeleteRequest{
                        client_id: "m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885",
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # DELETE /v1/connected_apps/clients/{client_id}
            curl --request DELETE \
              --url https://test.stytch.com/v1/connected_apps/clients/m2m-client-test-d731954d-dab3-4a2b-bdee-07f3ad1be885 \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json'
components:
  schemas:
    api_connectedapps_v1_connected_apps_clients_DeleteResponse:
      type: object
      properties:
        request_id:
          type: string
        client_id:
          type: string
          description: The ID of the client.
        status_code:
          type: integer
          format: int32
      required:
        - request_id
        - client_id
        - status_code
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````